import Conductor from 'conductor-node';
const conductor = new Conductor({
apiKey: process.env['CONDUCTOR_SECRET_KEY'], // This is the default and can be omitted
});
const transfer = await conductor.qbd.transfers.update('123ABC-1234567890', {
revisionNumber: '1721172183',
conductorEndUserId: 'end_usr_1234567abcdefg',
});
console.log(transfer.id);import os
from conductor import Conductor
conductor = Conductor(
api_key=os.environ.get("CONDUCTOR_SECRET_KEY"), # This is the default and can be omitted
)
transfer = conductor.qbd.transfers.update(
id="123ABC-1234567890",
revision_number="1721172183",
conductor_end_user_id="end_usr_1234567abcdefg",
)
print(transfer.id)curl --request POST \
--url https://api.conductor.is/v1/quickbooks-desktop/transfers/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Conductor-End-User-Id: <conductor-end-user-id>' \
--header 'Content-Type: application/json' \
--data '
{
"revisionNumber": "1721172183",
"transactionDate": "2024-10-01",
"sourceAccountId": "80000001-1234567890",
"targetAccountId": "80000001-1234567890",
"classId": "80000001-1234567890",
"amount": "1000.00",
"memo": "Monthly transfer to savings"
}
'
{
"id": "123ABC-1234567890",
"objectType": "qbd_transfer",
"createdAt": "2025-01-01T12:34:56.000Z",
"updatedAt": "2025-02-01T12:34:56.000Z",
"revisionNumber": "1721172183",
"transactionDate": "2024-10-01",
"sourceAccount": {
"id": "80000001-1234567890",
"fullName": "Checking"
},
"sourceAccountBalance": "1000.00",
"targetAccount": {
"id": "80000001-1234567890",
"fullName": "Savings"
},
"targetAccountBalance": "5000.00",
"class": {
"id": "80000001-1234567890",
"fullName": "Inter Departmental"
},
"amount": "1000.00",
"memo": "Monthly transfer to savings"
}Update a transfer
Updates an existing transfer.
import Conductor from 'conductor-node';
const conductor = new Conductor({
apiKey: process.env['CONDUCTOR_SECRET_KEY'], // This is the default and can be omitted
});
const transfer = await conductor.qbd.transfers.update('123ABC-1234567890', {
revisionNumber: '1721172183',
conductorEndUserId: 'end_usr_1234567abcdefg',
});
console.log(transfer.id);import os
from conductor import Conductor
conductor = Conductor(
api_key=os.environ.get("CONDUCTOR_SECRET_KEY"), # This is the default and can be omitted
)
transfer = conductor.qbd.transfers.update(
id="123ABC-1234567890",
revision_number="1721172183",
conductor_end_user_id="end_usr_1234567abcdefg",
)
print(transfer.id)Authorizations
Your Conductor secret key using Bearer auth (e.g., "Authorization: Bearer {{YOUR_SECRET_KEY}}").
Headers
The ID of the End-User to receive this request.
"end_usr_1234567abcdefg"
Path Parameters
The QuickBooks-assigned unique identifier of the transfer to update.
36"123ABC-1234567890"
Body
The current QuickBooks-assigned revision number of the transfer object you are updating, which you can get by fetching the object first. Provide the most recent revisionNumber to ensure you're working with the latest data; otherwise, the update will return an error.
"1721172183"
The date of this transfer, in ISO 8601 format (YYYY-MM-DD).
"2024-10-01"
The account from which money will be transferred.
36"80000001-1234567890"
The account to which money will be transferred.
36"80000001-1234567890"
The transfer's class. Classes can be used to categorize objects into meaningful segments, such as department, location, or type of work. In QuickBooks, class tracking is off by default.
36"80000001-1234567890"
The monetary amount of this transfer, represented as a decimal string.
Decimal string format: exactly 2 decimal places when cents are included and up to 13 digits before the decimal point (for example, "123.45").
"1000.00"
A memo or note for this transfer.
"Monthly transfer to savings"
Response
Returns the updated transfer.
The unique identifier assigned by QuickBooks to this transfer. This ID is unique across all transaction types.
"123ABC-1234567890"
The type of object. This value is always "qbd_transfer".
"qbd_transfer""qbd_transfer"
The date and time when this transfer was created, in ISO 8601 format (YYYY-MM-DDThh:mm:ss±hh:mm), which QuickBooks Desktop interprets in the local timezone of the end-user's computer.
"2025-01-01T12:34:56.000Z"
The date and time when this transfer was last updated, in ISO 8601 format (YYYY-MM-DDThh:mm:ss±hh:mm), which QuickBooks Desktop interprets in the local timezone of the end-user's computer.
"2025-02-01T12:34:56.000Z"
The current QuickBooks-assigned revision number of this transfer object, which changes each time the object is modified. When updating this object, you must provide the most recent revisionNumber to ensure you're working with the latest data; otherwise, the update will return an error.
"1721172183"
The date of this transfer, in ISO 8601 format (YYYY-MM-DD).
"2024-10-01"
The account from which money will be transferred.
Show child attributes
Show child attributes
{
"id": "80000001-1234567890",
"fullName": "Checking"
}
The balance of the account from which money will be transferred.
"1000.00"
The account to which money will be transferred.
Show child attributes
Show child attributes
{
"id": "80000001-1234567890",
"fullName": "Savings"
}
The balance of the account to which money will be transferred.
"5000.00"
The transfer's class. Classes can be used to categorize objects into meaningful segments, such as department, location, or type of work. In QuickBooks, class tracking is off by default.
Show child attributes
Show child attributes
{
"id": "80000001-1234567890",
"fullName": "Inter Departmental"
}
The monetary amount of this transfer, represented as a decimal string.
"1000.00"
A memo or note for this transfer.
"Monthly transfer to savings"

